.dmsItemDetails {
  background: none;
}
.dmsItemDetails .ms-DetailsRow {
  background: none;
}
.dmsItemDetails .ms-DetailsRow:hover {
  background: rgb(255, 255, 255);
}

.dmsItemDetailsDarkMode {
  background: none;
}
.dmsItemDetailsDarkMode .ms-DetailsRow {
  color: white;
  background: none;
}
.dmsItemDetailsDarkMode .ms-DetailsRow:hover {
  background: #2a2a2a;
  color: white;
}

.hideCaret .ms-Button {
  display: none;
}

.ms-DatePicker-goToday {
  right: 0px !important;
}

.fileTitle {
  text-overflow: ellipsis;
  overflow: hidden;
}

.clickableLink {
  cursor: pointer;
}
.clickableLink:hover {
  text-decoration: underline;
}

.fileMetadata {
  text-overflow: ellipsis;
  overflow: hidden;
  font-size: 11px;
  margin-top: 2px;
}

.deletedFileMetaData {
  color: #a7a7a7;
}

.deletedFile {
  text-overflow: ellipsis;
  overflow: hidden;
  color: #a7a7a7;
  font-size: 16px;
}

.textOverflowElipsis {
  text-overflow: ellipsis;
  overflow: hidden;
}

.sharedFileTitle {
  color: #323130;
  cursor: pointer;
  font-size: 16px;
}

.sharedFileTitle:hover {
  text-decoration: underline;
}

.preWrap {
  white-space: pre-wrap;
}

#sharedFilesDetailsList .ms-DetailsHeader {
  background-color: transparent;
}
#sharedFilesDetailsList .ms-DetailsHeader-cell:hover {
  background-color: transparent;
}

.sharedColumnTextCell,
.sharedColumnStopSharingCell {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: auto;
  height: 100%;
}
.sharedColumnTextCell div,
.sharedColumnStopSharingCell div {
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  -ms-flex-item-align: center;
      align-self: center;
}
.sharedColumnTextCell button,
.sharedColumnStopSharingCell button {
  -ms-flex-item-align: center;
      align-self: center;
  margin-left: auto;
}

.darkMode {
  color: white;
  /* Main black background for panels, slight contrast difference over black */
  /* Removal of input box white border in dark mode */
  /* White headings, labels and icons. */
  /* Lower constrast white colour for disabled texts on boxes that require input and small icons in those boxes */
  /* Lower constrast white colour for placeholder texts in input boxes. */
  /* Background colour for input boxes and labels */
  /* Main background colour for Teams */
  /* Low contrast hover background colour */
  /* Hovering over interactable boxes and buttons turns them grey to show they are selected */
  /* Lighter red colour colour so errors are easier to read on a black background */
}
.darkMode .ms-Panel-main,
.darkMode .ms-Dialog-main,
.darkMode .ms-Panel-closeButton:hover,
.darkMode .metadataPositionIcons2 * {
  background-color: #1e1e1e !important;
}
.darkMode .ms-Pivot > .ms-Pivot-link {
  color: white !important;
}
.darkMode .ms-Checkbox-checkbox {
  outline: 1px solid white;
}
.darkMode .ms-ComboBox.is-disabled,
.darkMode .ms-ComboBox.is-disabled::after,
.darkMode .ms-TextField.is-disabled .ms-TextField-fieldGroup {
  border-style: none !important;
}
.darkMode .ms-Label,
.darkMode .ms-Panel-headerText,
.darkMode .ms-Panel-content,
.darkMode .ms-Checkbox-text,
.darkMode .ms-ChoiceFieldLabel,
.darkMode .ms-Dialog-header .ms-Panel-header .ms-Panel-headerText,
.darkMode .ms-SearchBox-icon,
.darkMode .ms-Dialog-header,
.darkMode .ms-Spinner-label,
.darkMode .ms-SearchBox-clearButton i,
.darkMode .ms-TextField:not(.is-disabled) .ms-Label,
.darkMode .ms-Dropdown:not(.is-disabled) > .ms-Dropdown-title,
.darkMode .ms-Dropdown:not(.darkModeLabelDisabled) .ms-Dropdown-label,
.darkMode .ms-ComboBox:not(.is-disabled) > .ms-ComboBox-Input,
.darkMode .ms-ComboBox-container:not(.darkModeLabelDisabled) .ms-Label,
.darkMode .metadataPositionIcons2 i,
.darkMode .ms-DetailsRow-cell,
.darkMode .ms-DetailsRow-cell div,
.darkMode .ms-DetailsHeader-cell,
.darkMode .ms-Panel-closeButton i {
  color: white !important;
}
.darkMode .darkModeLabelDisabled > .ms-Label,
.darkMode .ms-ComboBox .ms-ComboBox-CaretDown-button,
.darkMode .ms-Dropdown-caretDown,
.darkMode .ms-SearchBox-clearButton,
.darkMode .ms-TextField.is-disabled input,
.darkMode .ms-TextField.is-disabled textarea,
.darkMode .ms-TextField.is-disabled .ms-Label,
.darkMode .ms-ComboBox i,
.darkMode .ms-TextField i {
  color: rgb(161, 159, 157) !important;
}
.darkMode ::-webkit-input-placeholder {
  color: rgb(161, 159, 157) !important;
  opacity: 1;
}
.darkMode ::-moz-placeholder {
  color: rgb(161, 159, 157) !important;
  opacity: 1;
}
.darkMode :-ms-input-placeholder {
  color: rgb(161, 159, 157) !important;
  opacity: 1;
}
.darkMode ::-ms-input-placeholder {
  color: rgb(161, 159, 157) !important;
  opacity: 1;
}
.darkMode ::placeholder {
  color: rgb(161, 159, 157) !important;
  opacity: 1;
}
.darkMode .ms-SearchBox,
.darkMode .ms-Dropdown-title,
.darkMode .ms-ComboBox,
.darkMode .ms-ComboBox-Input,
.darkMode .ms-TextField-fieldGroup,
.darkMode .ms-ComboBox .ms-ComboBox-CaretDown-button,
.darkMode .ms-SearchBox-clearButton *,
.darkMode .ms-SearchBox-iconContainer {
  background-color: black !important;
}
.darkMode .ms-SearchBox-field,
.darkMode .ms-TextField-field {
  background-color: black !important;
  color: white !important;
}
.darkMode .suggestion-itemcontainer,
.darkMode .suggestion-itemcontainer .ms-DetailsHeader,
.darkMode .suggestion-itemcontainer .ms-DetailsHeader-cell:hover {
  background-color: #1f1f1f !important;
}
.darkMode .ms-Pivot > .ms-Pivot-link:hover,
.darkMode .ms-DetailsRow:hover,
.darkMode .suggestion-itemcontainer .ms-DetailsRow-cell:hover {
  background-color: #292929 !important;
}
.darkMode .metadataPositionIcons2 .ms-Button:hover i,
.darkMode .ms-SearchBox-clearButton:hover i,
.darkMode .ms-Panel-closeButton:hover i,
.darkMode .ms-ChoiceFieldLabel:hover,
.darkMode .ms-Checkbox-text:hover,
.darkMode .ms-Checkbox-checkmark:hover,
.darkMode .ms-Choicefield-field:hover,
.darkMode .ms-ChoiceField-field:hover .ms-ChoiceFieldLabel {
  color: grey !important;
}
.darkMode .ms-TextField-errorMessage {
  color: rgb(251, 67, 76);
}

.lightMode {
  color: black;
}

.metadataWrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.metadataField {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 87%;
          flex: 0 0 87%;
}

.metadataPositionIcons {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  margin-top: 26px;
  margin-left: 20px;
}

.metadataField2 {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 75%;
          flex: 0 0 75%;
}

.checkoutIcon {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 10%;
          flex: 0 0 10%;
}

.checkoutFileName {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  margin-top: 8px;
  font-size: 16px;
}

.metadataPositionIcons2 {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
}

.notifyTeamLabelFontSize .ms-Checkbox-text {
  font-size: 16px;
}

.inlineflex .ms-ChoiceField {
  display: inline-block;
  margin-right: 15px;
}

.transparentDropdown {
  margin-right: 20px;
  margin-left: 5px;
}

.inline-block-container {
  display: grid;
  grid-template-columns: -webkit-max-content -webkit-max-content;
  grid-template-columns: max-content max-content;
  grid-gap: 5px;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbIndlYi9zdHlsZXMvbWFpbi5zY3NzIiwid2ViL3N0eWxlcy9tYWluLmNzcyJdLCJuYW1lcyI6W10sIm1hcHBpbmdzIjoiQUFBQTtFQUNDLGdCQUFBO0FDQ0Q7QURDQztFQUNDLGdCQUFBO0FDQ0Y7QURFQztFQUNDLDhCQUFBO0FDQUY7O0FESUE7RUFDQyxnQkFBQTtBQ0REO0FER0M7RUFDQyxZQUFBO0VBQ0EsZ0JBQUE7QUNERjtBRElDO0VBQ0MsbUJBQUE7RUFDQSxZQUFBO0FDRkY7O0FET0M7RUFDTyxhQUFBO0FDSlI7O0FEUUE7RUFDQyxxQkFBQTtBQ0xEOztBRFFBO0VBQ0MsdUJBQUE7RUFDQSxnQkFBQTtBQ0xEOztBRFFBO0VBQ0MsZUFBQTtBQ0xEO0FETUM7RUFDQywwQkFBQTtBQ0pGOztBRFFBO0VBQ0MsdUJBQUE7RUFDQSxnQkFBQTtFQUNBLGVBQUE7RUFDQSxlQUFBO0FDTEQ7O0FEUUE7RUFDQyxjQUFBO0FDTEQ7O0FEUUE7RUFDQyx1QkFBQTtFQUNBLGdCQUFBO0VBQ0EsY0FBQTtFQUNBLGVBQUE7QUNMRDs7QURRQTtFQUNDLHVCQUFBO0VBQ0EsZ0JBQUE7QUNMRDs7QURRQTtFQUNDLGNBQUE7RUFDQSxlQUFBO0VBQ0EsZUFBQTtBQ0xEOztBRFFBO0VBQ0MsMEJBQUE7QUNMRDs7QURRQTtFQUNDLHFCQUFBO0FDTEQ7O0FEVUM7RUFDQyw2QkFBQTtBQ1BGO0FEVUM7RUFDQyw2QkFBQTtBQ1JGOztBRFlBOztFQUVDLG9CQUFBO0VBQUEsb0JBQUE7RUFBQSxhQUFBO0VBQ0EsWUFBQTtFQUNBLFlBQUE7QUNURDtBRFdDOztFQUNDLDJCQUFBO0VBQUEsd0JBQUE7RUFBQSxtQkFBQTtFQUNBLDJCQUFBO01BQUEsa0JBQUE7QUNSRjtBRFdDOztFQUNDLDJCQUFBO01BQUEsa0JBQUE7RUFDQSxpQkFBQTtBQ1JGOztBRFlBO0VBQ0ksWUFBQTtFQUVILDRFQUFBO0VBZ0JBLG1EQUFBO0VBT0Esc0NBQUE7RUF3QkEsK0dBQUE7RUFhQSx1RUFBQTtFQU1BLGlEQUFBO0VBa0JBLHFDQUFBO0VBT0EseUNBQUE7RUFPQSwyRkFBQTtFQVlBLGlGQUFBO0FDL0dEO0FERUk7Ozs7RUFJSSxvQ0FBQTtBQ0FSO0FER0M7RUFDQyx1QkFBQTtBQ0RGO0FESUM7RUFDQyx3QkFBQTtBQ0ZGO0FETUM7OztFQUdDLDZCQUFBO0FDSkY7QURRQzs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7RUFvQkMsdUJBQUE7QUNORjtBRFVDOzs7Ozs7Ozs7RUFTQyxvQ0FBQTtBQ1JGO0FEWUM7RUFDQyxvQ0FBQTtFQUNBLFVBQUE7QUNWRjtBRFFDO0VBQ0Msb0NBQUE7RUFDQSxVQUFBO0FDVkY7QURRQztFQUNDLG9DQUFBO0VBQ0EsVUFBQTtBQ1ZGO0FEUUM7RUFDQyxvQ0FBQTtFQUNBLFVBQUE7QUNWRjtBRFFDO0VBQ0Msb0NBQUE7RUFDQSxVQUFBO0FDVkY7QURjQzs7Ozs7Ozs7RUFRQyxrQ0FBQTtBQ1pGO0FEZUM7O0VBRUMsa0NBQUE7RUFDQSx1QkFBQTtBQ2JGO0FEaUJDOzs7RUFHQyxvQ0FBQTtBQ2ZGO0FEbUJDOzs7RUFHQyxvQ0FBQTtBQ2pCRjtBRHFCQzs7Ozs7Ozs7RUFRQyxzQkFBQTtBQ25CRjtBRHVCQztFQUNDLHVCQUFBO0FDckJGOztBRHlCQTtFQUNJLFlBQUE7QUN0Qko7O0FEeUJBO0VBQ0Msb0JBQUE7RUFBQSxvQkFBQTtFQUFBLGFBQUE7QUN0QkQ7O0FEeUJFO0VBQ0QsbUJBQUE7TUFBQSxpQkFBQTtVQUFBLGFBQUE7QUN0QkQ7O0FEeUJFO0VBQ0QsbUJBQUE7TUFBQSxXQUFBO1VBQUEsT0FBQTtFQUNBLGdCQUFBO0VBQ0EsaUJBQUE7QUN0QkQ7O0FEeUJFO0VBQ0QsbUJBQUE7TUFBQSxpQkFBQTtVQUFBLGFBQUE7QUN0QkQ7O0FEeUJFO0VBQ0QsbUJBQUE7TUFBQSxpQkFBQTtVQUFBLGFBQUE7QUN0QkQ7O0FEeUJFO0VBQ0QsbUJBQUE7TUFBQSxXQUFBO1VBQUEsT0FBQTtFQUNBLGVBQUE7RUFDQSxlQUFBO0FDdEJEOztBRHlCRTtFQUNELG1CQUFBO01BQUEsV0FBQTtVQUFBLE9BQUE7QUN0QkQ7O0FEMEJDO0VBQ0MsZUFBQTtBQ3ZCRjs7QUQyQkE7RUFDQyxxQkFBQTtFQUNBLGtCQUFBO0FDeEJEOztBRDJCQTtFQUNDLGtCQUFBO0VBQ0EsZ0JBQUE7QUN4QkQ7O0FEMkJBO0VBQ0MsYUFBQTtFQUNHLDhEQUFBO0VBQUEsOENBQUE7RUFDQSxhQUFBO0FDeEJKIiwiZmlsZSI6IndlYi9zdHlsZXMvbWFpbi5jc3MiLCJzb3VyY2VzQ29udGVudCI6WyIuZG1zSXRlbURldGFpbHMge1xyXG5cdGJhY2tncm91bmQ6bm9uZTtcclxuXHJcblx0Lm1zLURldGFpbHNSb3cge1xyXG5cdFx0YmFja2dyb3VuZDogbm9uZTtcclxuXHR9XHJcblxyXG5cdC5tcy1EZXRhaWxzUm93OmhvdmVyIHtcclxuXHRcdGJhY2tncm91bmQ6IHJnYigyNTUsIDI1NSwgMjU1KTtcclxuXHR9XHJcbn1cclxuXHJcbi5kbXNJdGVtRGV0YWlsc0RhcmtNb2RlIHtcclxuXHRiYWNrZ3JvdW5kOm5vbmU7XHJcblxyXG5cdC5tcy1EZXRhaWxzUm93IHtcclxuXHRcdGNvbG9yOiB3aGl0ZTtcclxuXHRcdGJhY2tncm91bmQ6IG5vbmU7XHJcblx0fVxyXG5cclxuXHQubXMtRGV0YWlsc1Jvdzpob3ZlciB7XHJcblx0XHRiYWNrZ3JvdW5kOiAjMmEyYTJhO1xyXG5cdFx0Y29sb3I6IHdoaXRlO1xyXG5cdH1cclxufVxyXG5cclxuLmhpZGVDYXJldCB7XHJcblx0Lm1zLUJ1dHRvbiB7XHJcbiAgICAgICAgZGlzcGxheTogbm9uZTtcclxuICAgIH1cclxufVxyXG5cclxuLm1zLURhdGVQaWNrZXItZ29Ub2RheSB7XHJcblx0cmlnaHQ6IDBweCAhaW1wb3J0YW50O1xyXG59XHJcblxyXG4uZmlsZVRpdGxle1xyXG5cdHRleHQtb3ZlcmZsb3c6IGVsbGlwc2lzO1xyXG5cdG92ZXJmbG93OiBoaWRkZW47XHJcbn1cclxuXHJcbi5jbGlja2FibGVMaW5re1xyXG5cdGN1cnNvcjogcG9pbnRlcjtcclxuXHQmOmhvdmVye1xyXG5cdFx0dGV4dC1kZWNvcmF0aW9uOiB1bmRlcmxpbmU7XHJcblx0fVxyXG59XHJcblxyXG4uZmlsZU1ldGFkYXRhIHtcclxuXHR0ZXh0LW92ZXJmbG93OiBlbGxpcHNpcztcclxuXHRvdmVyZmxvdzogaGlkZGVuO1xyXG5cdGZvbnQtc2l6ZTogMTFweDtcclxuXHRtYXJnaW4tdG9wOiAycHg7XHJcbn1cclxuXHJcbi5kZWxldGVkRmlsZU1ldGFEYXRhe1xyXG5cdGNvbG9yOiAjYTdhN2E3O1xyXG59XHJcblxyXG4uZGVsZXRlZEZpbGUge1xyXG5cdHRleHQtb3ZlcmZsb3c6IGVsbGlwc2lzO1xyXG5cdG92ZXJmbG93OiBoaWRkZW47XHJcblx0Y29sb3I6ICNhN2E3YTc7XHJcblx0Zm9udC1zaXplOiAxNnB4O1xyXG59XHJcblxyXG4udGV4dE92ZXJmbG93RWxpcHNpcyB7XHJcblx0dGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XHJcblx0b3ZlcmZsb3c6IGhpZGRlbjtcclxufVxyXG5cclxuLnNoYXJlZEZpbGVUaXRsZSB7XHJcblx0Y29sb3I6ICMzMjMxMzA7XHJcblx0Y3Vyc29yOiBwb2ludGVyO1xyXG5cdGZvbnQtc2l6ZTogMTZweDtcclxufVxyXG5cclxuLnNoYXJlZEZpbGVUaXRsZTpob3ZlciB7XHJcblx0dGV4dC1kZWNvcmF0aW9uOiB1bmRlcmxpbmU7XHJcbn1cclxuXHJcbi5wcmVXcmFwe1xyXG5cdHdoaXRlLXNwYWNlOiBwcmUtd3JhcDtcclxufVxyXG5cclxuXHJcbiNzaGFyZWRGaWxlc0RldGFpbHNMaXN0IHtcclxuXHQubXMtRGV0YWlsc0hlYWRlciB7XHJcblx0XHRiYWNrZ3JvdW5kLWNvbG9yOiB0cmFuc3BhcmVudDtcclxuXHR9XHJcblxyXG5cdC5tcy1EZXRhaWxzSGVhZGVyLWNlbGw6aG92ZXIge1xyXG5cdFx0YmFja2dyb3VuZC1jb2xvcjogdHJhbnNwYXJlbnQ7XHJcblx0fVxyXG59XHJcblxyXG4uc2hhcmVkQ29sdW1uVGV4dENlbGwsXHJcbi5zaGFyZWRDb2x1bW5TdG9wU2hhcmluZ0NlbGwge1xyXG5cdGRpc3BsYXk6IGZsZXg7XHJcblx0bWFyZ2luOiBhdXRvO1xyXG5cdGhlaWdodDogMTAwJTtcclxuXHJcblx0ZGl2IHtcclxuXHRcdGhlaWdodDogZml0LWNvbnRlbnQ7XHJcblx0XHRhbGlnbi1zZWxmOiBjZW50ZXI7XHJcblx0fVxyXG5cclxuXHRidXR0b24ge1xyXG5cdFx0YWxpZ24tc2VsZjogY2VudGVyO1xyXG5cdFx0bWFyZ2luLWxlZnQ6IGF1dG87XHJcblx0fVxyXG59XHJcblxyXG4uZGFya01vZGUge1xyXG4gICAgY29sb3I6IHdoaXRlO1xyXG5cclxuXHQvKiBNYWluIGJsYWNrIGJhY2tncm91bmQgZm9yIHBhbmVscywgc2xpZ2h0IGNvbnRyYXN0IGRpZmZlcmVuY2Ugb3ZlciBibGFjayAqL1xyXG4gICAgLm1zLVBhbmVsLW1haW4sXHRcclxuXHQubXMtRGlhbG9nLW1haW4sXHJcblx0Lm1zLVBhbmVsLWNsb3NlQnV0dG9uOmhvdmVyLFxyXG5cdC5tZXRhZGF0YVBvc2l0aW9uSWNvbnMyICoge1xyXG4gICAgICAgIGJhY2tncm91bmQtY29sb3I6ICMxZTFlMWUgIWltcG9ydGFudDtcclxuICAgIH1cclxuXHJcblx0Lm1zLVBpdm90ID4gLm1zLVBpdm90LWxpbmsge1xyXG5cdFx0Y29sb3I6IHdoaXRlICFpbXBvcnRhbnQ7XHJcblx0fVxyXG5cclxuXHQubXMtQ2hlY2tib3gtY2hlY2tib3gge1xyXG5cdFx0b3V0bGluZTogMXB4IHNvbGlkIHdoaXRlO1xyXG5cdH1cclxuXHJcblx0LyogUmVtb3ZhbCBvZiBpbnB1dCBib3ggd2hpdGUgYm9yZGVyIGluIGRhcmsgbW9kZSAqL1xyXG5cdC5tcy1Db21ib0JveC5pcy1kaXNhYmxlZCxcclxuXHQubXMtQ29tYm9Cb3guaXMtZGlzYWJsZWQ6OmFmdGVyLFxyXG5cdC5tcy1UZXh0RmllbGQuaXMtZGlzYWJsZWQgLm1zLVRleHRGaWVsZC1maWVsZEdyb3VwIHtcclxuXHRcdGJvcmRlci1zdHlsZTogbm9uZSAhaW1wb3J0YW50O1xyXG5cdH1cclxuXHJcblx0LyogV2hpdGUgaGVhZGluZ3MsIGxhYmVscyBhbmQgaWNvbnMuICovXHJcblx0Lm1zLUxhYmVsLFxyXG5cdC5tcy1QYW5lbC1oZWFkZXJUZXh0LFxyXG5cdC5tcy1QYW5lbC1jb250ZW50LFxyXG5cdC5tcy1DaGVja2JveC10ZXh0LFxyXG5cdC5tcy1DaG9pY2VGaWVsZExhYmVsLFxyXG5cdC5tcy1EaWFsb2ctaGVhZGVyIC5tcy1QYW5lbC1oZWFkZXIgLm1zLVBhbmVsLWhlYWRlclRleHQsXHJcblx0Lm1zLVNlYXJjaEJveC1pY29uLFxyXG5cdC5tcy1EaWFsb2ctaGVhZGVyLFxyXG5cdC5tcy1TcGlubmVyLWxhYmVsLFxyXG5cdC5tcy1TZWFyY2hCb3gtY2xlYXJCdXR0b24gaSxcclxuXHQubXMtVGV4dEZpZWxkOm5vdCguaXMtZGlzYWJsZWQpIC5tcy1MYWJlbCxcclxuXHQubXMtRHJvcGRvd246bm90KC5pcy1kaXNhYmxlZCkgPiAubXMtRHJvcGRvd24tdGl0bGUsXHJcblx0Lm1zLURyb3Bkb3duOm5vdCguZGFya01vZGVMYWJlbERpc2FibGVkKSAubXMtRHJvcGRvd24tbGFiZWwsXHJcblx0Lm1zLUNvbWJvQm94Om5vdCguaXMtZGlzYWJsZWQpID4gLm1zLUNvbWJvQm94LUlucHV0LFxyXG5cdC5tcy1Db21ib0JveC1jb250YWluZXI6bm90KC5kYXJrTW9kZUxhYmVsRGlzYWJsZWQpIC5tcy1MYWJlbCxcclxuXHQubWV0YWRhdGFQb3NpdGlvbkljb25zMiBpLFxyXG5cdC5tcy1EZXRhaWxzUm93LWNlbGwsXHJcblx0Lm1zLURldGFpbHNSb3ctY2VsbCBkaXYsXHJcblx0Lm1zLURldGFpbHNIZWFkZXItY2VsbCxcclxuXHQubXMtUGFuZWwtY2xvc2VCdXR0b24gaSB7XHJcblx0XHRjb2xvcjogd2hpdGUgIWltcG9ydGFudDtcclxuXHR9XHJcblxyXG5cdC8qIExvd2VyIGNvbnN0cmFzdCB3aGl0ZSBjb2xvdXIgZm9yIGRpc2FibGVkIHRleHRzIG9uIGJveGVzIHRoYXQgcmVxdWlyZSBpbnB1dCBhbmQgc21hbGwgaWNvbnMgaW4gdGhvc2UgYm94ZXMgKi9cclxuXHQuZGFya01vZGVMYWJlbERpc2FibGVkID4gLm1zLUxhYmVsLFxyXG5cdC5tcy1Db21ib0JveCAubXMtQ29tYm9Cb3gtQ2FyZXREb3duLWJ1dHRvbixcclxuXHQubXMtRHJvcGRvd24tY2FyZXREb3duLFxyXG5cdC5tcy1TZWFyY2hCb3gtY2xlYXJCdXR0b24sXHJcblx0Lm1zLVRleHRGaWVsZC5pcy1kaXNhYmxlZCBpbnB1dCxcclxuXHQubXMtVGV4dEZpZWxkLmlzLWRpc2FibGVkIHRleHRhcmVhLFxyXG5cdC5tcy1UZXh0RmllbGQuaXMtZGlzYWJsZWQgLm1zLUxhYmVsLFxyXG5cdC5tcy1Db21ib0JveCBpLFxyXG5cdC5tcy1UZXh0RmllbGQgaSB7XHJcblx0XHRjb2xvcjogcmdiKDE2MSwgMTU5LCAxNTcpICFpbXBvcnRhbnQ7XHJcblx0fVxyXG5cclxuXHQvKiBMb3dlciBjb25zdHJhc3Qgd2hpdGUgY29sb3VyIGZvciBwbGFjZWhvbGRlciB0ZXh0cyBpbiBpbnB1dCBib3hlcy4gKi9cclxuXHQ6OnBsYWNlaG9sZGVyIHtcclxuXHRcdGNvbG9yOiByZ2IoMTYxLCAxNTksIDE1NykgIWltcG9ydGFudDtcclxuXHRcdG9wYWNpdHk6IDE7XHJcblx0fVxyXG5cclxuXHQvKiBCYWNrZ3JvdW5kIGNvbG91ciBmb3IgaW5wdXQgYm94ZXMgYW5kIGxhYmVscyAqL1xyXG5cdC5tcy1TZWFyY2hCb3gsXHJcblx0Lm1zLURyb3Bkb3duLXRpdGxlLFxyXG5cdC5tcy1Db21ib0JveCxcclxuXHQubXMtQ29tYm9Cb3gtSW5wdXQsXHJcblx0Lm1zLVRleHRGaWVsZC1maWVsZEdyb3VwLFxyXG5cdC5tcy1Db21ib0JveCAubXMtQ29tYm9Cb3gtQ2FyZXREb3duLWJ1dHRvbixcclxuXHQubXMtU2VhcmNoQm94LWNsZWFyQnV0dG9uICosXHJcblx0Lm1zLVNlYXJjaEJveC1pY29uQ29udGFpbmVyIHtcclxuXHRcdGJhY2tncm91bmQtY29sb3I6IGJsYWNrICFpbXBvcnRhbnQ7XHJcblx0fVxyXG5cclxuXHQubXMtU2VhcmNoQm94LWZpZWxkLFxyXG5cdC5tcy1UZXh0RmllbGQtZmllbGQge1xyXG5cdFx0YmFja2dyb3VuZC1jb2xvcjogYmxhY2sgIWltcG9ydGFudDtcclxuXHRcdGNvbG9yOndoaXRlICFpbXBvcnRhbnQ7XHJcblx0fVxyXG5cclxuXHQvKiBNYWluIGJhY2tncm91bmQgY29sb3VyIGZvciBUZWFtcyAqL1xyXG5cdC5zdWdnZXN0aW9uLWl0ZW1jb250YWluZXIsXHJcblx0LnN1Z2dlc3Rpb24taXRlbWNvbnRhaW5lciAubXMtRGV0YWlsc0hlYWRlcixcclxuXHQuc3VnZ2VzdGlvbi1pdGVtY29udGFpbmVyIC5tcy1EZXRhaWxzSGVhZGVyLWNlbGw6aG92ZXIge1xyXG5cdFx0YmFja2dyb3VuZC1jb2xvcjogIzFmMWYxZiAhaW1wb3J0YW50O1xyXG5cdH1cclxuXHJcblx0LyogTG93IGNvbnRyYXN0IGhvdmVyIGJhY2tncm91bmQgY29sb3VyICovXHJcblx0Lm1zLVBpdm90ID4gLm1zLVBpdm90LWxpbms6aG92ZXIsXHJcblx0Lm1zLURldGFpbHNSb3c6aG92ZXIsXHJcblx0LnN1Z2dlc3Rpb24taXRlbWNvbnRhaW5lciAubXMtRGV0YWlsc1Jvdy1jZWxsOmhvdmVyIHtcclxuXHRcdGJhY2tncm91bmQtY29sb3I6ICMyOTI5MjkgIWltcG9ydGFudDtcclxuXHR9XHJcblxyXG5cdC8qIEhvdmVyaW5nIG92ZXIgaW50ZXJhY3RhYmxlIGJveGVzIGFuZCBidXR0b25zIHR1cm5zIHRoZW0gZ3JleSB0byBzaG93IHRoZXkgYXJlIHNlbGVjdGVkICovXHJcblx0Lm1ldGFkYXRhUG9zaXRpb25JY29uczIgLm1zLUJ1dHRvbjpob3ZlciBpLFxyXG5cdC5tcy1TZWFyY2hCb3gtY2xlYXJCdXR0b246aG92ZXIgaSxcclxuXHQubXMtUGFuZWwtY2xvc2VCdXR0b246aG92ZXIgaSxcclxuXHQubXMtQ2hvaWNlRmllbGRMYWJlbDpob3ZlcixcclxuXHQubXMtQ2hlY2tib3gtdGV4dDpob3ZlciwgXHJcblx0Lm1zLUNoZWNrYm94LWNoZWNrbWFyazpob3ZlcixcclxuXHQubXMtQ2hvaWNlZmllbGQtZmllbGQ6aG92ZXIsXHJcblx0Lm1zLUNob2ljZUZpZWxkLWZpZWxkOmhvdmVyIC5tcy1DaG9pY2VGaWVsZExhYmVsIHtcclxuXHRcdGNvbG9yOmdyZXkgIWltcG9ydGFudDtcclxuXHR9XHJcblxyXG5cdC8qIExpZ2h0ZXIgcmVkIGNvbG91ciBjb2xvdXIgc28gZXJyb3JzIGFyZSBlYXNpZXIgdG8gcmVhZCBvbiBhIGJsYWNrIGJhY2tncm91bmQgKi9cclxuXHQubXMtVGV4dEZpZWxkLWVycm9yTWVzc2FnZSB7XHJcblx0XHRjb2xvcjogcmdiKDI1MSwgNjcsIDc2KVxyXG5cdH1cclxufVxyXG5cclxuLmxpZ2h0TW9kZSB7XHJcbiAgICBjb2xvcjogYmxhY2s7XHJcbn1cclxuXHJcbi5tZXRhZGF0YVdyYXBwZXIge1xyXG5cdGRpc3BsYXk6IGZsZXg7XHJcbiAgfVxyXG4gIFxyXG4gIC5tZXRhZGF0YUZpZWxkIHtcclxuXHRmbGV4OiAwIDAgODclO1xyXG4gIH1cclxuICBcclxuICAubWV0YWRhdGFQb3NpdGlvbkljb25zIHtcclxuXHRmbGV4OiAxO1xyXG5cdG1hcmdpbi10b3A6IDI2cHg7XHJcblx0bWFyZ2luLWxlZnQ6IDIwcHg7XHJcbiAgfVxyXG5cclxuICAubWV0YWRhdGFGaWVsZDIge1xyXG5cdGZsZXg6IDAgMCA3NSU7XHJcbiAgfVxyXG5cclxuICAuY2hlY2tvdXRJY29uIHtcclxuXHRmbGV4OiAwIDAgMTAlO1xyXG4gIH1cclxuXHJcbiAgLmNoZWNrb3V0RmlsZU5hbWUge1xyXG5cdGZsZXg6IDE7XHJcblx0bWFyZ2luLXRvcDogOHB4O1xyXG5cdGZvbnQtc2l6ZTogMTZweDtcclxuICB9XHJcbiAgXHJcbiAgLm1ldGFkYXRhUG9zaXRpb25JY29uczIge1xyXG5cdGZsZXg6IDE7XHJcbiAgfVxyXG5cclxuICAubm90aWZ5VGVhbUxhYmVsRm9udFNpemUge1xyXG5cdC5tcy1DaGVja2JveC10ZXh0IHtcclxuXHRcdGZvbnQtc2l6ZTogMTZweDtcclxuXHR9XHJcbiAgfVxyXG5cclxuLmlubGluZWZsZXggLm1zLUNob2ljZUZpZWxke1xyXG5cdGRpc3BsYXk6IGlubGluZS1ibG9jaztcclxuXHRtYXJnaW4tcmlnaHQ6IDE1cHg7XHJcbiB9XHJcblxyXG4udHJhbnNwYXJlbnREcm9wZG93biB7XHJcblx0bWFyZ2luLXJpZ2h0OiAyMHB4O1xyXG5cdG1hcmdpbi1sZWZ0OiA1cHg7XHJcbn1cclxuXHJcbi5pbmxpbmUtYmxvY2stY29udGFpbmVye1xyXG5cdGRpc3BsYXk6IGdyaWQ7XHJcbiAgICBncmlkLXRlbXBsYXRlLWNvbHVtbnM6IG1heC1jb250ZW50IG1heC1jb250ZW50O1xyXG4gICAgZ3JpZC1nYXA6IDVweDtcclxufSIsIi5kbXNJdGVtRGV0YWlscyB7XG4gIGJhY2tncm91bmQ6IG5vbmU7XG59XG4uZG1zSXRlbURldGFpbHMgLm1zLURldGFpbHNSb3cge1xuICBiYWNrZ3JvdW5kOiBub25lO1xufVxuLmRtc0l0ZW1EZXRhaWxzIC5tcy1EZXRhaWxzUm93OmhvdmVyIHtcbiAgYmFja2dyb3VuZDogcmdiKDI1NSwgMjU1LCAyNTUpO1xufVxuXG4uZG1zSXRlbURldGFpbHNEYXJrTW9kZSB7XG4gIGJhY2tncm91bmQ6IG5vbmU7XG59XG4uZG1zSXRlbURldGFpbHNEYXJrTW9kZSAubXMtRGV0YWlsc1JvdyB7XG4gIGNvbG9yOiB3aGl0ZTtcbiAgYmFja2dyb3VuZDogbm9uZTtcbn1cbi5kbXNJdGVtRGV0YWlsc0RhcmtNb2RlIC5tcy1EZXRhaWxzUm93OmhvdmVyIHtcbiAgYmFja2dyb3VuZDogIzJhMmEyYTtcbiAgY29sb3I6IHdoaXRlO1xufVxuXG4uaGlkZUNhcmV0IC5tcy1CdXR0b24ge1xuICBkaXNwbGF5OiBub25lO1xufVxuXG4ubXMtRGF0ZVBpY2tlci1nb1RvZGF5IHtcbiAgcmlnaHQ6IDBweCAhaW1wb3J0YW50O1xufVxuXG4uZmlsZVRpdGxlIHtcbiAgdGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XG4gIG92ZXJmbG93OiBoaWRkZW47XG59XG5cbi5jbGlja2FibGVMaW5rIHtcbiAgY3Vyc29yOiBwb2ludGVyO1xufVxuLmNsaWNrYWJsZUxpbms6aG92ZXIge1xuICB0ZXh0LWRlY29yYXRpb246IHVuZGVybGluZTtcbn1cblxuLmZpbGVNZXRhZGF0YSB7XG4gIHRleHQtb3ZlcmZsb3c6IGVsbGlwc2lzO1xuICBvdmVyZmxvdzogaGlkZGVuO1xuICBmb250LXNpemU6IDExcHg7XG4gIG1hcmdpbi10b3A6IDJweDtcbn1cblxuLmRlbGV0ZWRGaWxlTWV0YURhdGEge1xuICBjb2xvcjogI2E3YTdhNztcbn1cblxuLmRlbGV0ZWRGaWxlIHtcbiAgdGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XG4gIG92ZXJmbG93OiBoaWRkZW47XG4gIGNvbG9yOiAjYTdhN2E3O1xuICBmb250LXNpemU6IDE2cHg7XG59XG5cbi50ZXh0T3ZlcmZsb3dFbGlwc2lzIHtcbiAgdGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XG4gIG92ZXJmbG93OiBoaWRkZW47XG59XG5cbi5zaGFyZWRGaWxlVGl0bGUge1xuICBjb2xvcjogIzMyMzEzMDtcbiAgY3Vyc29yOiBwb2ludGVyO1xuICBmb250LXNpemU6IDE2cHg7XG59XG5cbi5zaGFyZWRGaWxlVGl0bGU6aG92ZXIge1xuICB0ZXh0LWRlY29yYXRpb246IHVuZGVybGluZTtcbn1cblxuLnByZVdyYXAge1xuICB3aGl0ZS1zcGFjZTogcHJlLXdyYXA7XG59XG5cbiNzaGFyZWRGaWxlc0RldGFpbHNMaXN0IC5tcy1EZXRhaWxzSGVhZGVyIHtcbiAgYmFja2dyb3VuZC1jb2xvcjogdHJhbnNwYXJlbnQ7XG59XG4jc2hhcmVkRmlsZXNEZXRhaWxzTGlzdCAubXMtRGV0YWlsc0hlYWRlci1jZWxsOmhvdmVyIHtcbiAgYmFja2dyb3VuZC1jb2xvcjogdHJhbnNwYXJlbnQ7XG59XG5cbi5zaGFyZWRDb2x1bW5UZXh0Q2VsbCxcbi5zaGFyZWRDb2x1bW5TdG9wU2hhcmluZ0NlbGwge1xuICBkaXNwbGF5OiBmbGV4O1xuICBtYXJnaW46IGF1dG87XG4gIGhlaWdodDogMTAwJTtcbn1cbi5zaGFyZWRDb2x1bW5UZXh0Q2VsbCBkaXYsXG4uc2hhcmVkQ29sdW1uU3RvcFNoYXJpbmdDZWxsIGRpdiB7XG4gIGhlaWdodDogZml0LWNvbnRlbnQ7XG4gIGFsaWduLXNlbGY6IGNlbnRlcjtcbn1cbi5zaGFyZWRDb2x1bW5UZXh0Q2VsbCBidXR0b24sXG4uc2hhcmVkQ29sdW1uU3RvcFNoYXJpbmdDZWxsIGJ1dHRvbiB7XG4gIGFsaWduLXNlbGY6IGNlbnRlcjtcbiAgbWFyZ2luLWxlZnQ6IGF1dG87XG59XG5cbi5kYXJrTW9kZSB7XG4gIGNvbG9yOiB3aGl0ZTtcbiAgLyogTWFpbiBibGFjayBiYWNrZ3JvdW5kIGZvciBwYW5lbHMsIHNsaWdodCBjb250cmFzdCBkaWZmZXJlbmNlIG92ZXIgYmxhY2sgKi9cbiAgLyogUmVtb3ZhbCBvZiBpbnB1dCBib3ggd2hpdGUgYm9yZGVyIGluIGRhcmsgbW9kZSAqL1xuICAvKiBXaGl0ZSBoZWFkaW5ncywgbGFiZWxzIGFuZCBpY29ucy4gKi9cbiAgLyogTG93ZXIgY29uc3RyYXN0IHdoaXRlIGNvbG91ciBmb3IgZGlzYWJsZWQgdGV4dHMgb24gYm94ZXMgdGhhdCByZXF1aXJlIGlucHV0IGFuZCBzbWFsbCBpY29ucyBpbiB0aG9zZSBib3hlcyAqL1xuICAvKiBMb3dlciBjb25zdHJhc3Qgd2hpdGUgY29sb3VyIGZvciBwbGFjZWhvbGRlciB0ZXh0cyBpbiBpbnB1dCBib3hlcy4gKi9cbiAgLyogQmFja2dyb3VuZCBjb2xvdXIgZm9yIGlucHV0IGJveGVzIGFuZCBsYWJlbHMgKi9cbiAgLyogTWFpbiBiYWNrZ3JvdW5kIGNvbG91ciBmb3IgVGVhbXMgKi9cbiAgLyogTG93IGNvbnRyYXN0IGhvdmVyIGJhY2tncm91bmQgY29sb3VyICovXG4gIC8qIEhvdmVyaW5nIG92ZXIgaW50ZXJhY3RhYmxlIGJveGVzIGFuZCBidXR0b25zIHR1cm5zIHRoZW0gZ3JleSB0byBzaG93IHRoZXkgYXJlIHNlbGVjdGVkICovXG4gIC8qIExpZ2h0ZXIgcmVkIGNvbG91ciBjb2xvdXIgc28gZXJyb3JzIGFyZSBlYXNpZXIgdG8gcmVhZCBvbiBhIGJsYWNrIGJhY2tncm91bmQgKi9cbn1cbi5kYXJrTW9kZSAubXMtUGFuZWwtbWFpbixcbi5kYXJrTW9kZSAubXMtRGlhbG9nLW1haW4sXG4uZGFya01vZGUgLm1zLVBhbmVsLWNsb3NlQnV0dG9uOmhvdmVyLFxuLmRhcmtNb2RlIC5tZXRhZGF0YVBvc2l0aW9uSWNvbnMyICoge1xuICBiYWNrZ3JvdW5kLWNvbG9yOiAjMWUxZTFlICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgLm1zLVBpdm90ID4gLm1zLVBpdm90LWxpbmsge1xuICBjb2xvcjogd2hpdGUgIWltcG9ydGFudDtcbn1cbi5kYXJrTW9kZSAubXMtQ2hlY2tib3gtY2hlY2tib3gge1xuICBvdXRsaW5lOiAxcHggc29saWQgd2hpdGU7XG59XG4uZGFya01vZGUgLm1zLUNvbWJvQm94LmlzLWRpc2FibGVkLFxuLmRhcmtNb2RlIC5tcy1Db21ib0JveC5pcy1kaXNhYmxlZDo6YWZ0ZXIsXG4uZGFya01vZGUgLm1zLVRleHRGaWVsZC5pcy1kaXNhYmxlZCAubXMtVGV4dEZpZWxkLWZpZWxkR3JvdXAge1xuICBib3JkZXItc3R5bGU6IG5vbmUgIWltcG9ydGFudDtcbn1cbi5kYXJrTW9kZSAubXMtTGFiZWwsXG4uZGFya01vZGUgLm1zLVBhbmVsLWhlYWRlclRleHQsXG4uZGFya01vZGUgLm1zLVBhbmVsLWNvbnRlbnQsXG4uZGFya01vZGUgLm1zLUNoZWNrYm94LXRleHQsXG4uZGFya01vZGUgLm1zLUNob2ljZUZpZWxkTGFiZWwsXG4uZGFya01vZGUgLm1zLURpYWxvZy1oZWFkZXIgLm1zLVBhbmVsLWhlYWRlciAubXMtUGFuZWwtaGVhZGVyVGV4dCxcbi5kYXJrTW9kZSAubXMtU2VhcmNoQm94LWljb24sXG4uZGFya01vZGUgLm1zLURpYWxvZy1oZWFkZXIsXG4uZGFya01vZGUgLm1zLVNwaW5uZXItbGFiZWwsXG4uZGFya01vZGUgLm1zLVNlYXJjaEJveC1jbGVhckJ1dHRvbiBpLFxuLmRhcmtNb2RlIC5tcy1UZXh0RmllbGQ6bm90KC5pcy1kaXNhYmxlZCkgLm1zLUxhYmVsLFxuLmRhcmtNb2RlIC5tcy1Ecm9wZG93bjpub3QoLmlzLWRpc2FibGVkKSA+IC5tcy1Ecm9wZG93bi10aXRsZSxcbi5kYXJrTW9kZSAubXMtRHJvcGRvd246bm90KC5kYXJrTW9kZUxhYmVsRGlzYWJsZWQpIC5tcy1Ecm9wZG93bi1sYWJlbCxcbi5kYXJrTW9kZSAubXMtQ29tYm9Cb3g6bm90KC5pcy1kaXNhYmxlZCkgPiAubXMtQ29tYm9Cb3gtSW5wdXQsXG4uZGFya01vZGUgLm1zLUNvbWJvQm94LWNvbnRhaW5lcjpub3QoLmRhcmtNb2RlTGFiZWxEaXNhYmxlZCkgLm1zLUxhYmVsLFxuLmRhcmtNb2RlIC5tZXRhZGF0YVBvc2l0aW9uSWNvbnMyIGksXG4uZGFya01vZGUgLm1zLURldGFpbHNSb3ctY2VsbCxcbi5kYXJrTW9kZSAubXMtRGV0YWlsc1Jvdy1jZWxsIGRpdixcbi5kYXJrTW9kZSAubXMtRGV0YWlsc0hlYWRlci1jZWxsLFxuLmRhcmtNb2RlIC5tcy1QYW5lbC1jbG9zZUJ1dHRvbiBpIHtcbiAgY29sb3I6IHdoaXRlICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgLmRhcmtNb2RlTGFiZWxEaXNhYmxlZCA+IC5tcy1MYWJlbCxcbi5kYXJrTW9kZSAubXMtQ29tYm9Cb3ggLm1zLUNvbWJvQm94LUNhcmV0RG93bi1idXR0b24sXG4uZGFya01vZGUgLm1zLURyb3Bkb3duLWNhcmV0RG93bixcbi5kYXJrTW9kZSAubXMtU2VhcmNoQm94LWNsZWFyQnV0dG9uLFxuLmRhcmtNb2RlIC5tcy1UZXh0RmllbGQuaXMtZGlzYWJsZWQgaW5wdXQsXG4uZGFya01vZGUgLm1zLVRleHRGaWVsZC5pcy1kaXNhYmxlZCB0ZXh0YXJlYSxcbi5kYXJrTW9kZSAubXMtVGV4dEZpZWxkLmlzLWRpc2FibGVkIC5tcy1MYWJlbCxcbi5kYXJrTW9kZSAubXMtQ29tYm9Cb3ggaSxcbi5kYXJrTW9kZSAubXMtVGV4dEZpZWxkIGkge1xuICBjb2xvcjogcmdiKDE2MSwgMTU5LCAxNTcpICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgOjpwbGFjZWhvbGRlciB7XG4gIGNvbG9yOiByZ2IoMTYxLCAxNTksIDE1NykgIWltcG9ydGFudDtcbiAgb3BhY2l0eTogMTtcbn1cbi5kYXJrTW9kZSAubXMtU2VhcmNoQm94LFxuLmRhcmtNb2RlIC5tcy1Ecm9wZG93bi10aXRsZSxcbi5kYXJrTW9kZSAubXMtQ29tYm9Cb3gsXG4uZGFya01vZGUgLm1zLUNvbWJvQm94LUlucHV0LFxuLmRhcmtNb2RlIC5tcy1UZXh0RmllbGQtZmllbGRHcm91cCxcbi5kYXJrTW9kZSAubXMtQ29tYm9Cb3ggLm1zLUNvbWJvQm94LUNhcmV0RG93bi1idXR0b24sXG4uZGFya01vZGUgLm1zLVNlYXJjaEJveC1jbGVhckJ1dHRvbiAqLFxuLmRhcmtNb2RlIC5tcy1TZWFyY2hCb3gtaWNvbkNvbnRhaW5lciB7XG4gIGJhY2tncm91bmQtY29sb3I6IGJsYWNrICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgLm1zLVNlYXJjaEJveC1maWVsZCxcbi5kYXJrTW9kZSAubXMtVGV4dEZpZWxkLWZpZWxkIHtcbiAgYmFja2dyb3VuZC1jb2xvcjogYmxhY2sgIWltcG9ydGFudDtcbiAgY29sb3I6IHdoaXRlICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgLnN1Z2dlc3Rpb24taXRlbWNvbnRhaW5lcixcbi5kYXJrTW9kZSAuc3VnZ2VzdGlvbi1pdGVtY29udGFpbmVyIC5tcy1EZXRhaWxzSGVhZGVyLFxuLmRhcmtNb2RlIC5zdWdnZXN0aW9uLWl0ZW1jb250YWluZXIgLm1zLURldGFpbHNIZWFkZXItY2VsbDpob3ZlciB7XG4gIGJhY2tncm91bmQtY29sb3I6ICMxZjFmMWYgIWltcG9ydGFudDtcbn1cbi5kYXJrTW9kZSAubXMtUGl2b3QgPiAubXMtUGl2b3QtbGluazpob3Zlcixcbi5kYXJrTW9kZSAubXMtRGV0YWlsc1Jvdzpob3Zlcixcbi5kYXJrTW9kZSAuc3VnZ2VzdGlvbi1pdGVtY29udGFpbmVyIC5tcy1EZXRhaWxzUm93LWNlbGw6aG92ZXIge1xuICBiYWNrZ3JvdW5kLWNvbG9yOiAjMjkyOTI5ICFpbXBvcnRhbnQ7XG59XG4uZGFya01vZGUgLm1ldGFkYXRhUG9zaXRpb25JY29uczIgLm1zLUJ1dHRvbjpob3ZlciBpLFxuLmRhcmtNb2RlIC5tcy1TZWFyY2hCb3gtY2xlYXJCdXR0b246aG92ZXIgaSxcbi5kYXJrTW9kZSAubXMtUGFuZWwtY2xvc2VCdXR0b246aG92ZXIgaSxcbi5kYXJrTW9kZSAubXMtQ2hvaWNlRmllbGRMYWJlbDpob3Zlcixcbi5kYXJrTW9kZSAubXMtQ2hlY2tib3gtdGV4dDpob3Zlcixcbi5kYXJrTW9kZSAubXMtQ2hlY2tib3gtY2hlY2ttYXJrOmhvdmVyLFxuLmRhcmtNb2RlIC5tcy1DaG9pY2VmaWVsZC1maWVsZDpob3Zlcixcbi5kYXJrTW9kZSAubXMtQ2hvaWNlRmllbGQtZmllbGQ6aG92ZXIgLm1zLUNob2ljZUZpZWxkTGFiZWwge1xuICBjb2xvcjogZ3JleSAhaW1wb3J0YW50O1xufVxuLmRhcmtNb2RlIC5tcy1UZXh0RmllbGQtZXJyb3JNZXNzYWdlIHtcbiAgY29sb3I6IHJnYigyNTEsIDY3LCA3Nik7XG59XG5cbi5saWdodE1vZGUge1xuICBjb2xvcjogYmxhY2s7XG59XG5cbi5tZXRhZGF0YVdyYXBwZXIge1xuICBkaXNwbGF5OiBmbGV4O1xufVxuXG4ubWV0YWRhdGFGaWVsZCB7XG4gIGZsZXg6IDAgMCA4NyU7XG59XG5cbi5tZXRhZGF0YVBvc2l0aW9uSWNvbnMge1xuICBmbGV4OiAxO1xuICBtYXJnaW4tdG9wOiAyNnB4O1xuICBtYXJnaW4tbGVmdDogMjBweDtcbn1cblxuLm1ldGFkYXRhRmllbGQyIHtcbiAgZmxleDogMCAwIDc1JTtcbn1cblxuLmNoZWNrb3V0SWNvbiB7XG4gIGZsZXg6IDAgMCAxMCU7XG59XG5cbi5jaGVja291dEZpbGVOYW1lIHtcbiAgZmxleDogMTtcbiAgbWFyZ2luLXRvcDogOHB4O1xuICBmb250LXNpemU6IDE2cHg7XG59XG5cbi5tZXRhZGF0YVBvc2l0aW9uSWNvbnMyIHtcbiAgZmxleDogMTtcbn1cblxuLm5vdGlmeVRlYW1MYWJlbEZvbnRTaXplIC5tcy1DaGVja2JveC10ZXh0IHtcbiAgZm9udC1zaXplOiAxNnB4O1xufVxuXG4uaW5saW5lZmxleCAubXMtQ2hvaWNlRmllbGQge1xuICBkaXNwbGF5OiBpbmxpbmUtYmxvY2s7XG4gIG1hcmdpbi1yaWdodDogMTVweDtcbn1cblxuLnRyYW5zcGFyZW50RHJvcGRvd24ge1xuICBtYXJnaW4tcmlnaHQ6IDIwcHg7XG4gIG1hcmdpbi1sZWZ0OiA1cHg7XG59XG5cbi5pbmxpbmUtYmxvY2stY29udGFpbmVyIHtcbiAgZGlzcGxheTogZ3JpZDtcbiAgZ3JpZC10ZW1wbGF0ZS1jb2x1bW5zOiBtYXgtY29udGVudCBtYXgtY29udGVudDtcbiAgZ3JpZC1nYXA6IDVweDtcbn0iXX0= */
